Update Session
curl --request PUT \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id} \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"new_metadata": {}
}
'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}"
payload = { "new_metadata": {} }
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({new_metadata: {}})
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"session_summary": "<string>",
"memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Update Session
Update session metadata.
Replace the entire metadata object for a session. Use this to attach custom attributes like conversation topics, tags, or application-specific data to your sessions.
Path Parameters:
custom_user_id(str): Unique identifier for the user owning the sessionsession_id(UUID): Session UUID to update
Body Parameters:
new_metadata(Dict[str, Any]): New metadata JSON object (replaces existing metadata completely)
Returns:
session(SessionInfo): Updated session with new metadata
PUT
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
Update Session
Body
application/json
Response
Session updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

